"""
Compability layer of XML.
"""
try:
	from Ft.Xml.Domlette import NonvalidatingReader
	parseUri = NonvalidatingReader.parseUri
        parseString = NonvalidatingReader.parseString
	del NonvalidatingReader
	from Ft.Xml.XPath import Evaluate
except ImportError:
	from xml.dom.minidom import parse as parseUri
	from xml.dom.minidom import parseString
	from xml.xpath import Evaluate

def get_node_attr(node, attr):
	"""
	Tries to uniform the way to get the *value* of an attribute in
	both minidom and in 4Suite.
	"""
	try:
		return node.attributes[attr].value
	except KeyError:
		return node.attributes[(None, attr)].value

def node_contains_attr(node, attr):
	"""
	Uniforms the attributes in both minidom and in 4Suite.
	"""
	return attr in node.attributes or (None, attr) in node.attributes
